package cn.superdesk.uniorder.interceptor.logger.annotation;


import java.lang.annotation.Documented;

/**
 * @Description: 再参考swagger
 * @Author: linjinyu
 * @CreateDate: 2021/2/2 下午4:31
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/2 下午4:31
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Documented
public @interface ControllerLogger {


	public String title() default "";


	/**
	 * 日志记录service实现
	 *
	 * @return
	 */
	public String logService() default "operLogServiceImpl";


	/**
	 * 是否保存请求的参数
	 */
	public boolean isSaveRequestData() default true;

	/**
	 * 是否追踪用户操作
	 *
	 * @return
	 */
	public boolean isTrack() default true;


}
